Certificate.CertificateRep (Java Platform SE 8 )
Keywords: java.security.cert.Certificate.CertificateRep class
Date: 2026-03-16

compact1, compact2, compact3
java.security.cert

## Class Certificate.CertificateRep

- java.lang.Object
- - java.security.cert.Certificate.CertificateRep

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    Certificate

      protected static class Certificate.CertificateRep
      extends Object
      implements Serializable

  Alternate Certificate class for serialization.
  Since:
    1.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CertificateRep(String type, byte[] data)` Construct the alternate Certificate class with the Certificate type and Certificate encoding bytes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `readResolve()` Resolve the Certificate Object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateRep

          protected CertificateRep(String type,
                                   byte[] data)

      Construct the alternate Certificate class with the Certificate type and Certificate encoding bytes.

      Parameters:
        `type` - the standard name of the Certificate type.

        `data` - the Certificate data.

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()
                                throws ObjectStreamException

      Resolve the Certificate Object.

      Returns:
        the resolved Certificate Object
      Throws:
        `ObjectStreamException` - if the Certificate could not be resolved

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.